const emojiReadTime = require("@11tyrocks/eleventy-plugin-emoji-readtime");
const pluginRss = require("@11ty/eleventy-plugin-rss");
const metagen = require('eleventy-plugin-metagen');
const syntaxHighlight = require("@11ty/eleventy-plugin-syntaxhighlight");

module.exports = function(eleventyConfig) {
  eleventyConfig.addPassthroughCopy("./content/images");
  eleventyConfig.addPlugin(emojiReadTime);
  eleventyConfig.addPlugin(pluginRss);
  eleventyConfig.addPlugin(metagen);
  eleventyConfig.addPlugin(syntaxHighlight);

  eleventyConfig.addCollection("posts", function(collection) {
    return collection.getFilteredByGlob("content/posts/**/*.md");
  });

  eleventyConfig.addCollection("tils", function(collection) {
    return collection.getFilteredByGlob("content/tils/**/*.md");
  });

  return {
    htmlTemplateEngine: "njk",
    markdownTemplateEngine: "md",
    dir: {
      includes: "../_includes",
      layouts: "../_includes",
      input: "content",
      output: "_site"
    }
  }
};
