---
title: Arizona K-12 School Finance
description: Insight into Arizona's Education Funding, the future in school transparency.
date: 2023-02-16
tags:
  - Career
  - Tailwind
  - Elixir
  - Phoenix
  - UI
  - LiveView
  - Design System
  - Design
coverImage: /images/arizona_allovue.webp
---
_Note: This is an article backfill, meaning I neglected my blog for some time and inserted this article back into history as for when it happened._

In a new initiative for my work at [Allovue](https://www.allovue.com/) we are beginning a trend of creating solutions for [helping states meet transparency requirements around education funding](https://www.allovue.com/states). It all began with [a partnership with the state of Arizona](https://blog.allovue.com/press/announces-arizona-school-financial-transparency-portal) to build their transparent edfinance public portal.

> **Transparency means access _and_ understanding**
> Education stakeholders at every level—legislators, educators, tax payers, and more—should be able to quickly and easily access and understand school funding and spending data.

![](/images/arizona-public-portal.svg)

**I'm ecstatic to announce that the [Arizona Public Portal is Live](https://schoolspending.az.gov/)!**

Of note is a major feature I took the lead on as a senior software engineer building out the most advanced feature on the site, [the Comparison Report](https://schoolspending.az.gov/compare/) which allows multiple schools or districts within the state of Arizona to be analyzed apples to apples.

---

This project was built using the [Phoenix framework](https://www.phoenixframework.org/), with the fairly expected stack of Elixir, Ecto and Tailwind. Along the way we've been building out and leveraging a private Phoenix LiveView powered design system.