---
title: 'Ember New Lang RFC: Merged!'
date: 2020-06-12
tags:
  - Ember
  - A11y
  - Tech
coverImage: /images/embernewlang-rfc-merged.png
description: >-
  `ember new --lang` Ember CLI flag RFC merged!
---

The collaboration with Joseph Sumner, Jamie White, Melanie Sumner and myself has been a massive success and a great step forward for A11y.

As we wrap up the Ember A11y Strike Team and [transition to a Working Group for Digital Accessibility](https://blog.emberjs.com/2020/06/19/the-ember-times-issue-153.html) it's great to wrap up with a big win. The biggest win I was a part of was the writing and [merging of the Ember New Lang RFC](https://github.com/emberjs/rfcs/pull/635) which introduces an `ember new --lang` to set a default language for new Ember applications.

> This RFC introduces the --lang flag as an option for ember new, ember init, and ember addon commands within the Ember CLI. The feature targets the ember-cli build process -- specifically, when generating the file for the application's entry point at app/index.html. If the flag is used with a valid language code, it will assign the lang attribute in the file's root <html> element to that code. The lang attribute is formally defined within the current HTML5 specification; it is used to specify the base human language of an element or a document in a way that can be programmatically understood by assistive technology.

All motivations, design details and more can be [found in the RFC's markdown](https://github.com/hergaiety/rfcs/blob/798342dd6a7ce8dcf313128bdb3202784f91a702/text/0635-ember-new-lang.md). We had a lot of great collaboration at every step of the process making this a wonderful project to be a part of.

In fact, we'll be working together on more Ember projects in the future! Stay tuned...

[As seen in the Ember Times](https://blog.emberjs.com/2020/06/05/the-ember-times-issue-151.html)

