---
title: "ember new --lang"
date: 2020-06-08
tags:
  - Ember
  - Tech
coverImage: /images/ember-new-lang.png
description: >-
  RFC goes into final comment period for `ember new --lang` flag.
---

I've been working with Joseph Sumner, Ava Gaiety W., Jamie White and Melanie Sumner to put together a RFC prioritized by the Ember A11y Strike team. These are talented people and I'm ever so glad I've had the chance to work with them!

[Rendered RFC](https://github.com/hergaiety/rfcs/blob/ember-new-lang/text/0000-ember-new-lang.md), [Candidate Implementation](https://github.com/josephdsumner/ember-cli/compare/master...ember-new-lang-base), [RFC PR](https://github.com/emberjs/rfcs/pull/635).

> This RFC introduces the `--lang` flag as an option for `ember new`, `ember init`, and `ember addon` commands within the Ember CLI. The feature targets the ember-cli build process -- specifically, when generating the file for the application's entry point at `app/index.html`. If the flag is used with a valid language code, it will assign the `lang` attribute in the file's root `<html>` element to that code. The `lang` attribute is [formally defined within the current HTML5 specification](https://html.spec.whatwg.org/#the-lang-and-xml:lang-attributes); it is used to specify the base human language of an element or a document in a way that can be programmatically understood by assistive technology.

[As featured in the Ember Times (June 5th, 2020)](https://blog.emberjs.com/2020/06/05/the-ember-times-issue-151.html)
