---
title: 'Global Accessibility Awareness Day @ Oncue'
date: 2021-05-21
tags:
  - Career
  - A11y
coverImage: /images/gaad2021.jpeg
description: >-
  Because we all need to start somewhere! Getting the team onboard as I rock the boat for positive change.
---

[Global Accessibility Awareness Day (or GAAD)](https://globalaccessibilityawarenessday.org/) is a wonderful time of year to get your team onboard with a wide range of topics around a11y.

I collaborated with my same-day hire buddy [Jennifer Wisniewski](https://www.linkedin.com/in/jwdesign/) to discuss the what, how and why behind embracing a11y for Oncue's future.

First we needed to cover what a11y was, and to that we primarily referenced [figma's Accessibility and Inclusion](https://www.figma.com/resources/learn-design/inclusion/) article. Our focus was on how we can make a meaningful impact.

> Directly impacting the world's largest minority (people with disabilities).

We then focused on how product accessibility can be improved. This included some proposed agile epics, goals and milestones. We briefly touched on technologies, but this was just the lightest touch on how we can get the conversation started.

> Much like automation testing, while achieving 100% coverage is challenging, the first 50% is easily achievable.

Next we discussed a11y within the organization. This covered company culture and improving our [hiring best practices](https://projectinclude.org/hiring).

Lastly, we opened the floor for conversation and additional thoughts. A key takeaway during this time was my boss speaking on her insight from her first time trying to use a web app purely with a screen-reader and how drastically different and potentially difficult it can be.

I'm hoping for much more of this kind of collaborative discussion in the future to establish some meaningful improvements for our users (movers), their users (customers), and our own employees.