---
title: Eleventy, Tailwind UI, Digital Ocean Apps and my Portfolio 2021
description: Highlighting my work history, code, volunteering and more on some interesting tech.
coverImage: /images/2021-portfolio.png
date: 2021-02-28
tags:
  - Tech
---

I've been drifting out of love with both [Netlify](https://www.netlify.com/) and cumbersome [Jamstack](https://jamstack.org/) tools like [gridsome](https://jamstack.org/generators/gridsome/), [Hexo](https://jamstack.org/generators/hexo/) and others. Especially once a theme is applied on top via a [Git Submodule](https://git-scm.com/book/en/v2/Git-Tools-Submodules) or something similar, the idea of fixing a bug or making some site adjustment can feel nearly impossible if you come back to the project some months later. These themes quickly go out of date and it can feel so complicated to understand the unique Jamstack language way of making some magic happen.

My latest favorite way to build and deploy static sites is leveraging [Eleventy (11ty)](https://jamstack.org/generators/eleventy/) with [Tailwind UI](https://tailwindui.com/components) deployed with [Digital Ocean Apps](https://www.digitalocean.com/products/app-platform/). The selling point of this stack is that it's as simple as the following steps:

1. `git init` a new project thrown up on GitLab/GitHub or your choice of repository manager
2. `npm install -g @11ty/eleventy` to install Eleventy
3. Create a markdown file like `index.md` with some markdown content
4. `eleventy` to build that markdown file into a `_site/index.html` automatically
5. Deploy with Digital Ocean! (Full GUI to deploy, can follow the same above steps above)

Suddenly you're building a site with markdown! For simple sites you can point to [Tailwind CSS as a CDN link](https://tailwindcss.com/docs/installation#using-tailwind-via-cdn) with no need for managing dependencies.

Of course, Eleventy allows you to customize html layouts and more as much as you like, but it's never required. This simplicity of being able to launch a usable site in so few steps and few files makes it a winner in my book.

[Check out my latest Portfolio](https://gaiety.me/) built with the above tools or [fork it on GitLab](https://gitlab.com/gaiety/portfolio).

